# Приложение для изучения балкарского языка

## О проекте

Этот проект — выпускная квалификационная работа студента группы ИВТ 1.1, Балаева Жамала Башировича.  
Целью является создание мобильного приложения, которое позволяет изучать балкарский язык в удобной и интерактивной форме.

Проект включает разработку архитектуры приложения, пользовательского интерфейса и логики взаимодействия на основе UML-диаграмм.

## Краткое описание диаграмм

### Use-case диаграмма
Отображает действия, доступные пользователю: регистрация, уроки, тесты, просмотр прогресса.

### Диаграмма классов
Определяет структуру приложения: классы `User`, `Lesson`, `Test`, `Progress` и связи между ними.

### Диаграмма последовательностей
Показывает процесс регистрации пользователя от ввода данных до сохранения в базу.

### Диаграмма состояний
Определяет этапы прохождения урока: новый → активный → завершённый → оценённый.

### Диаграмма активности
Подробно описывает процесс прохождения теста.

### Интерфейс
Макет главного экрана, уроков и отображения прогресса.

## Назначение

Проект нацелен на поддержку и сохранение балкарского языка через цифровую образовательную среду.

## Автор

Балаев Жамал Баширович  
Группа ИВТ 1.1  
2025 год
